Hello

Today, the support of SharePoint 2010 versions between RTM(14.0.4762.1000) and SP1 (14.0.6029.1000) is ended as you can double check in the following link:

http://support.microsoft.com/lifecycle/?p1=14944

That is because the SP1 was released one year ago and ,as you may know, the Office Business Group Service Pack policy states "When a new service pack is released, Microsoft will provide 12 months of support for the previous service pack". More info in the following link:

http://support.microsoft.com/lifecycle/#tab2

Then, the new support cases opened regarding issues between RTM and SP1 versions will be treated as "limited support". That means that you will face the following limitations:

  • Limited break/fix support incidents will be provided through Microsoft Customer Service and Support; and through Microsoft’s managed support offerings (such as Premier Support).  
  • There will be no option to engage Microsoft’s product development resources, and technical workarounds may be limited or not possible.
  • If the support incident requires escalation to development for further guidance, requires a hotfix, or requires a security update, customers will be asked to upgrade to a supported service pack.

For more info:

http://support.microsoft.com/gp/newsplifecycle

So, please, I would like to recommend you to install at least SharePoint 2010 SP1 + any of the latest cumulative updates to keep your infraestructure fully supported. To install the SP1 you could follow the following link:

http://blogs.msdn.com/b/calvarro/archive/2011/06/28/sharepoint-2010-sp1-y-june-cu-2011.aspx

Thanks.

Kind Regards.

Héctor Calvarro Martín. SharePoint Dev/Core. Microsoft Support Escalation Engineer for EMEA